Subject: bug#20697: 25.0.50; Mention `M-x report-emacs-bug' on splash screen

From: Drew Adams <[email-masked]>
Date: Fri, 13 Sep 2019 13:13:57 -0700 (PDT)

>    There are many ways to contribute to Emacs:
>    • find and report bugs; *Note Bugs::.
> 
> So I think this is already a good landing page for both bugs and
> contributions.

Yes.

> > [Mentioning also enhancement requests was my input
> > for this bug thread.]
> 
> Do you have any ideas for how to better emphasize enhancement
> requests?  Should it be a separate bullet point on the "Contribute"
> page perhaps?

My suggestion is to put it explicitly in the text/link
that then leads you to the doc section that covers all
of this.

Although "contribute improvements" covers suggesting
enhancements, I think the former suggests more
substantial contribution than just asking for or
suggesting a possible enhancement - something wished.

I think it's important for users to see, up front,
an invitation to make even minor or undeveloped, even
possibly infeasible or not-well-thought-through
suggestions.

If that invitation is found only after following some
"contribute" link to doc that covers everything,
including full-blown patches, then its effect on
inviting superficial suggestions can be lost.

So I'd "waste" a few extra chars to spell out that
invitation explicitly.  Something like this:

 "How to report bugs and suggest or contribute possible improvements"

> > But in that case, the more lightweight feedback, #1,
> > should be separated and up front, so users wanting
> > to report a bug or suggest an enhancement need not
> > find themselves immediately in the depths of how to
> > contribute in a deeper way.
> 
> I think that it's fine that users can click the link on the top of the
> page to reach (info "(emacs) Bugs").  It's separate enough, and early
> enough, that users can easily click on it and ignore the rest of the
> page, in my opinion.

See above.  Separate enough and early enough, perhaps.
But it doesn't explicitly invite suggestions, even
blue-sky suggestions.  That invitation is what I think
is missing up front.

> > We want (IMO) to encourage lots of users to provide
> > relatively easy feedback, beyond also wanting some
> > users to get more deeply involved.  We don't want
> > people to get the impression that lightweight
> > suggestions are not possible or encouraged, and that
> > a heavy commitment is the only encouraged participation.
> 
> I absolutely agree.

Thanks for working on this.  The patch looks good to
me, though I'd prefer to also see what I mention above.